using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class DisplayProgress : MonoBehaviour
{
    public GameObject protocolHandlerObject;

    ProtocolHandler protocolHandler;
    int nCycles = 1;
    int blockStackLen = 1;
    int currentBlockIndex = 0;
    int currentCycle = 0;
    Text displayText;
    private void Awake()
    {
        protocolHandler = protocolHandlerObject.GetComponent<ProtocolHandler>();
        displayText = GetComponent<Text>();
        displayText.enabled = false;
        enabled = false;
    }

    // Start is called before the first frame update
    void Start()
    {
        displayText.fontSize = 26;
        displayText.color = Color.red;
    }

    // Update is called once per frame
    void Update()
    {
        currentBlockIndex = protocolHandler.GetCurrentBlockIndex();
        currentCycle = protocolHandler.GetCurrentCycle();
        displayText.text = String.Format(
            "Cycle {0} / {1}\n" +
            "Block {2} / {3}",
            currentCycle, nCycles, currentBlockIndex, blockStackLen);

    }

    private void OnEnable()
    {
        currentCycle = protocolHandler.GetCurrentCycle();
        nCycles = protocolHandler.GetNumCycles();
        blockStackLen = protocolHandler.GetBlockStackLen();
        currentBlockIndex = protocolHandler.GetCurrentBlockIndex();
        displayText.enabled = true;
    }

    private void OnDisable()
    {
        displayText.enabled = false;
    }
}
